Skip to main content
`Ctrl`+`K`

# TSComputeRHSFunction

Evaluates the right-hand-side function for a `TS`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeRHSFunction(TS ts, PetscReal t, Vec U, Vec y)

Collective

## Input Parameters

- ts - the `TS` context

- t - current time

- U - state vector

## Output Parameter

- y - right-hand side

## Note

Most users should not need to explicitly call this routine, as it is used internally within the nonlinear solvers.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetRHSFunction()`, `TSComputeIFunction()`

## Level

developer

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages